/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.common
 *  ファイル：CommonUtils.java
 *  説明：
 *
 *  作成日: 2004/01/14
 */
package openolap.viewer.common;

import java.util.ArrayList;

/**
 *  クラス：CommonUtils
 *  説明：
 */
public class CommonUtils {

	// booleanをString(1:true,0:false)に変換
	public static String boolToFLG(boolean b){
		if (b){
			return "1";
		} else {
			return "0";
		}
	}

	// String(1:true,0:false)をbooleanに変換
	public static boolean FLGTobool(String string) {
		if ("1".equals(string)){
			return true;
		} else {
			return false;
		}
	}


	// 配列をArrayListに格納する
	public static ArrayList arrayToArrayList(Object[] objects) {
		if (objects == null) {
			throw new IllegalArgumentException();
		}

		ArrayList arrayList = new ArrayList();	
		for (int i = 0; i < objects.length; i++ ){
			arrayList.add(objects[i]);
		}
		return arrayList;
	}
	


}
